你好,游客 登录 注册 搜索
背景:
阅读新闻

FreeType parse_encoding函数拒绝服务漏洞(CVE-2014-9745)

[日期:2015-09-15] 来源:Linux社区  作者:Linux [字体: ]
FreeType parse_encoding函数拒绝服务漏洞(CVE-2014-9745)


发布日期:2015-09-13
更新日期:2015-09-15

受影响系统:

FreeType FreeType < 2.5.3

描述:


CVE(CAN) ID: CVE-2014-9745

FreeType是一个流行的字体函数库。

FreeType 2.5.3之前版本,type1/t1load.c的parse_encoding函数存在安全漏洞,远程攻击者利用此漏洞可造成拒绝服务(无限循环)。

<*来源:vendor
  *>

建议:


厂商补丁:

FreeType
--------
目前厂商已经发布了升级补丁以修复这个安全问题,请到厂商的主页下载:

http://git.savannah.gnu.org/cgit/freetype/freetype2.git/commit/?id=df14e6c0b9592cbb24d5381dfc6106b14f915e75

https://code.google.com/p/chromium/issues/detail?id=459050

https://bugs.launchpad.net/ubuntu/+source/freetype/+bug/1492124

FreeType 的详细介绍请点这里
FreeType 的下载地址请点这里

本文永久更新链接地址http://www.linuxidc.com/Linux/2015-09/123081.htm

linux
本文评论   查看全部评论 (0)
表情: 表情 姓名: 字数

       

评论声明
  • 尊重网上道德,遵守中华人民共和国的各项有关法律法规
  • 承担一切因您的行为而直接或间接导致的民事或刑事法律责任
  • 本站管理人员有权保留或删除其管辖留言中的任意内容
  • 本站有权在网站内转载或引用您的评论
  • 参与本评论即表明您已经阅读并接受上述条款